# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

Summary:	X.org input driver for Linux generic event devices
Name:		x11-driver-input-evdev
Version:	2.8.3
Release:	3
License:	MIT
Group:		System/X11
Url:		http://xorg.freedesktop.org
Source0:	ftp://ftp.x.org/pub/individual/driver/xf86-input-evdev-%{version}.tar.bz2
Source1:	11-evdev-trackpoint.conf
BuildRequires:	x11-util-macros
BuildRequires:	pkgconfig(dri)
BuildRequires:	pkgconfig(mtdev)
BuildRequires:	pkgconfig(udev) >= 186
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xproto)
Requires:	x11-server-common %(xserver-sdk-abi-requires xinput)
Obsoletes:	x11-driver-input-evtouch < 0.8.8-12

%description
Evdev is an Xorg input driver for Linux's generic event devices.
It therefore supports all input devices that the kernel knows about,
including most mice and keyboards.

%files
%{_libdir}/xorg/modules/input/evdev_drv.so
%{_mandir}/man4/evdev.*
%{_sysconfdir}/X11/xorg.conf.d/11-evdev-trackpoint.conf

#----------------------------------------------------------------------------

%package devel
Summary:	Development files for %{name}
Group:		Development/X11

%description devel
Development files for %{name}.

%files devel
%{_includedir}/xorg/evdev-properties.h
%{_libdir}/pkgconfig/xorg-evdev.pc

#----------------------------------------------------------------------------

%prep
%setup -qn xf86-input-evdev-%{version}

%build
%configure2_5x
%make

%install
%makeinstall_std

# Add scrolling support for TrackPoint and similar devices
mkdir -p %{buildroot}%{_sysconfdir}/X11/xorg.conf.d/
install -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/X11/xorg.conf.d/

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2.8.3-3
+ Revision: 88cdb0e
- MassBuild#440: Increase release tag


